RHEL 3 : elfutils (RHSA-2006:0368)

This script is Copyright (C) 2006-2014 Tenable Network Security, Inc.


Synopsis :

The remote Red Hat host is missing one or more security updates.

Description :

Updated elfutils packages that address a minor security issue and
various other issues are now available.

This update has been rated as having low security impact by the Red
Hat Security Response Team.

The elfutils packages contain a number of utility programs and
libraries related to the creation and maintenance of executable code.

The elfutils packages that originally shipped with Red Hat Enterprise
Linux 3 were GPL-licensed versions which lacked some functionality.
Previous updates provided fully functional versions of elfutils only
under the OSL license. This update provides a fully functional,
GPL-licensed version of elfutils.

In the OSL-licensed elfutils versions provided in previous updates,
some tools could sometimes crash when given corrupted input files.
(CVE-2005-1704)

Also, when the eu-strip tool was used to create separate debuginfo
files from relocatable objects such as kernel modules (.ko), the
resulting debuginfo files (.ko.debug) were sometimes corrupted. Both
of these problems are fixed in the new version.

Users of elfutils should upgrade to these updated packages, which
resolve these issues.

See also :

https://www.redhat.com/security/data/cve/CVE-2005-1704.html
http://rhn.redhat.com/errata/RHSA-2006-0368.html

Solution :

Update the affected packages.

Risk factor :

Medium / CVSS Base Score : 4.6
(CVSS2#AV:L/AC:L/Au:N/C:P/I:P/A:P)

Family: Red Hat Local Security Checks

Nessus Plugin ID: 22085 ()

Bugtraq ID:

CVE ID: CVE-2005-1704